> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactional groups

> Retrieve a paginated list of transactional groups, most recently created first.



## OpenAPI

````yaml https://app.loops.so/openapi.json get /v1/transactional-groups
openapi: 3.1.0
info:
  title: Loops OpenAPI Spec
  description: This is the OpenAPI Spec for the [Loops API](https://loops.so/docs/api).
  version: 1.21.6
servers:
  - url: https://app.loops.so/api
security: []
tags:
  - name: API key
  - name: Audience segments
    description: View audience segments
  - name: Campaigns
    description: Create and manage email campaigns
  - name: Campaign groups
    description: Organize campaigns into groups
  - name: Configuration
    description: View configuration settings
  - name: Contacts
    description: Manage contacts in your audience
  - name: Contact properties
    description: Manage contact properties
  - name: Components
    description: View email components
  - name: Email messages
    description: Manage email message content for campaigns
  - name: Events
    description: Trigger workflows with events
  - name: Event patterns
    description: View workflow event patterns
  - name: Mailing lists
    description: View mailing lists
  - name: Themes
    description: View email themes
  - name: Transactional emails
    description: Create, manage, and send transactional emails
  - name: Transactional groups
    description: Organize transactional emails into groups
  - name: Uploads
    description: Upload image assets
  - name: Workflows
    description: View and mutate workflow graphs
  - name: Workflow nodes
    description: View and mutate workflow nodes
  - name: Webhooks
    description: >-
      Events Loops sends to your configured webhook endpoint when certain events
      happen in your account. Configure an endpoint in Settings → Webhooks. Each
      account supports one webhook endpoint. Events are signed with
      `webhook-id`, `webhook-timestamp`, and `webhook-signature` headers and
      delivered at a maximum rate of 10 per second. See
      https://loops.so/docs/webhooks for setup, verification, and payload
      details.
paths:
  /v1/transactional-groups:
    get:
      tags:
        - Transactional groups
      summary: List transactional groups
      description: >-
        Retrieve a paginated list of transactional groups, most recently created
        first.
      operationId: listTransactionalGroups
      parameters:
        - name: perPage
          in: query
          required: false
          description: >-
            How many results to return in each request. Must be between 10 and
            50. Default is 20.
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          description: >-
            A cursor to return a specific page of results. Cursors can be found
            from the `pagination.nextCursor` value in each response.
          schema:
            type: string
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGroupsResponse'
        '400':
          description: Invalid `perPage` value.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupFailureResponse'
        '401':
          description: Invalid API key or content API not enabled for this team.
        '405':
          description: Wrong HTTP request method.
      security:
        - apiKey: []
components:
  schemas:
    ListGroupsResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/Pagination'
        data:
          type: array
          items:
            $ref: '#/components/schemas/GroupResponse'
      required:
        - pagination
        - data
      examples:
        - pagination:
            totalResults: 2
            returnedResults: 2
            perPage: 20
            totalPages: 1
            nextCursor: null
            nextPage: null
          data:
            - id: clg7n5p3q1r9s7t5u3v1w9y7
              name: Onboarding
              description: Top of funnel campaigns
              createdAt: '2025-06-29T07:47:39.370Z'
              updatedAt: '2025-06-29T07:47:39.370Z'
            - id: clg8m4n6p8q0r2s4t6u8v0w2
              name: Retention
              description: ''
              createdAt: '2025-06-30T12:00:00.000Z'
              updatedAt: '2025-06-30T12:00:00.000Z'
    GroupFailureResponse:
      type: object
      properties:
        message:
          type: string
          examples:
            - Group not found.
      required:
        - message
      examples:
        - message: Group not found.
    Pagination:
      type: object
      properties:
        totalResults:
          type: number
          examples:
            - 2
        returnedResults:
          type: number
          examples:
            - 2
        perPage:
          type: number
          examples:
            - 20
        totalPages:
          type: number
          examples:
            - 1
        nextCursor:
          type:
            - string
            - 'null'
          examples:
            - null
        nextPage:
          type:
            - string
            - 'null'
          examples:
            - null
      required:
        - totalResults
        - returnedResults
        - perPage
        - totalPages
        - nextCursor
        - nextPage
      examples:
        - totalResults: 2
          returnedResults: 2
          perPage: 20
          totalPages: 1
          nextCursor: null
          nextPage: null
    GroupResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the group.
          examples:
            - clg7n5p3q1r9s7t5u3v1w9y7
        name:
          type: string
          description: The name of the group.
          examples:
            - Onboarding
        description:
          type: string
          description: The description of the group.
          examples:
            - Top of funnel campaigns
        createdAt:
          type: string
          format: date-time
          examples:
            - '2025-06-29T07:47:39.370Z'
          description: ISO 8601 timestamp for when the group was created.
        updatedAt:
          type: string
          format: date-time
          examples:
            - '2025-06-29T07:47:39.370Z'
          description: ISO 8601 timestamp for when the group was last updated.
      required:
        - id
        - name
        - description
        - createdAt
        - updatedAt
      examples:
        - id: clg7n5p3q1r9s7t5u3v1w9y7
          name: Onboarding
          description: Top of funnel campaigns
          createdAt: '2025-06-29T07:47:39.370Z'
          updatedAt: '2025-06-29T07:47:39.370Z'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

## Related topics

- [Transactional groups](/docs/cli/transactional-groups.md)
- [API Introduction](/docs/api-reference/intro.md)
- [List transactional emails](/docs/api-reference/list-transactional-emails.md)
- [List campaign groups](/docs/api-reference/list-campaign-groups.md)
- [Update a transactional group](/docs/api-reference/update-transactional-group.md)
